#!/usr/bin/perl

# Name:   extract-composers.pl
# Author: John F. Hagan
# Date:   12/99 
#
# Purpose: to extract the rism numbers from the firstlines.html
#          file 
#

$input     = "/local/www/faculty/lincoln/firstlines.html";
$output    = "/local/www/faculty/lincoln/risms";

open(TITLES, "$input");
open(OUTPUT,">>$output");

while (<TITLES>) {
   s/\(([0-9\/]+)\)/$1/;
   unless ($rism{$1}) {
      $rism{$1} = $1;
      }
   }

foreach (sort keys %rism) {
   print(OUTPUT  "<option value=\"$rism{$_}\">$rism{$_}\n");
   }
